--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: if identity_map
comment: 
- !ruby/struct:SM::Flow::P 
  body: Take a block and inside that block use an identity map to ensure a 1-1 correspondence of objects to the database row they represent.
full_name: Sequel::Plugins::IdentityMap::ClassMethods#with_identity_map
is_singleton: false
name: with_identity_map
params: () {|if identity_map| ...}
visibility: public
